Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations

AttachAutoScalingTemplateToGroup

AttachAutoScalingTemplateToGroup

POST/zstack/v1/autoscaling/template/{uuid}/groups/{groupUuid}

Operation ID

AttachAutoScalingTemplateToGroup

Since

3.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The template UUID.

  • groupUuid
    StringRequired

    The UUID of the auto scaling group.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    AutoScalingGroupInventoryRequired

    See inventory.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • scalingResourceType
      StringRequired

      The type of the auto scaling resource: VM instance.

    • state
      StringRequired

      The state of the auto scaling group.

    • defaultCooldown
      LongRequired

      The default cooldown time of the auto scaling rule.

    • description
      StringRequired

      The detailed description of the resource.

    • minResourceSize
      IntegerRequired

      The minimum number of VM instances in the auto scaling group.

    • maxResourceSize
      IntegerRequired

      The maximum number of VM instances in the auto scaling group.

    • removalPolicy
      StringRequired

      The default policy for removing a VM instance.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedTemplates
      ListRequired

      The templates of VM instances attached to the auto scaling group.

    • systemTags
      ListRequired

      The system tags.